Subject: Re: bug#45900: 28.0.50; [PATCH] [native-comp] Improve backtraces from async workers
From: Andrea Corallo <[email-masked]>
To: Phil Brown <[email-masked]>
Cc: [email-masked]
Date: Sat, 16 Jan 2021 12:40:50 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Phil Brown <[email-masked]> writes:

> Hi bug list,
>
> I've been happily using the native-comp branch and it works well. Attached is a tiny change to set
> `backtrace-line-length' in comp.el's async workers. I was debugging a few failed compilations and had run `(setq
> backtrace-line-length 0)` in an attempt to see the full path of the offending files (turned out to be autoloads). The
> setting was having no effect on the async compile errors and I realized the batch-mode worker processes weren't
> inheriting it.
>
> I haven't signed CA papers since this change is so small, but am happy to if that's needed.
>
> Thanks!
> -Phil

Hi Phil,

thanks for the patch!  In as 88100bed0a.

My suggestion would be to do the CA paperwork anyway as might be handy
for the future :)

Closing

Thanks

  Andrea